	SUBROUTINE SCALE(XMINP, YMINP, XMAXP, YMAXP)
C************************************************************
C
C  THIS ROUTINE IS USED TO SET THE SCALING FACTOR OF THE
C  GT40 SCREEN.
C
C  (XMINP, YMINP)  - DESIRED CO-ORDINATES OF LOWER LEFT CORNER
C  (XMAXP, YMAXP)  - DESIRED CO-ORDINATES OF UPPER RIGHT CORNER
C
C  POSSIBLE ERRORS:
C	NONE
C
C  ROUTINES CALLED:
C	NONE
C
C************************************************************
	INTEGER BEAMX, BEAMY
	COMMON /SCLBLK/ XMIN, YMIN, XMAX, YMAX, BEAMX, BEAMY

	XMIN = XMINP
	YMIN = YMINP
	XMAX = XMAXP
	YMAX = YMAXP
	RETURN
	END
